ucspi-tcp (1:0.88-15) unstable; urgency=medium

  * Declare compliance with Policy 4.7.4 with no changes.
  * Switch back to debhelper-compat now that debhelper 14 is out.
  * Salsa CI:
    - move the `debputy reformat` autopkgtest to Salsa CI instead
    - drop the build-any and build-all jobs
    - also test the nocheck build profile

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Jul 2026 20:44:08 +0300

ucspi-tcp (1:0.88-14) unstable; urgency=medium

  * Acknowledge NMU; thanks for fixing the FTBFS!
  * Declare Standards-Version 4.7.3; drop the implied Priority: optional.
  * Convert the watch file to version 5 of the format.
  * Add a superficial `debputy reformat` autopkgtest.
  * Use the short form of the BTS URL in a patch header.
  * Disable test-build-twice on Salsa CI; debrebuild passes.

 -- Peter Pentchev <roam@debian.org>  Wed, 07 Jan 2026 04:55:46 +0200

ucspi-tcp (1:0.88-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1098024)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 20:39:49 +0300

ucspi-tcp (1:0.88-13) unstable; urgency=medium

  * Drop the fakeroot-for-setgroups patch, sbuild handles that now.
    Closes: #1101263
  * Declare compliance with Policy 4.7.2 with no changes.
  * Minor refactoring of the autopkgtest internal testing.
  * Salsa CI configuration updates:
    - use the now-canonical debian/salsa-ci.yml filename
    - use the now-canonical "debian" recipe
    - do not target experimental
    - enable some optional features: build twice, force gbp-export-orig,
      enable diffoscope in the reprotest, only allow autopkgtest exit code 0
  * Add the corresponding Conflicts clause in the other direction.
  * Add Replaces clauses between the two packages.

 -- Peter Pentchev <roam@debian.org>  Tue, 25 Mar 2025 12:28:07 +0200

ucspi-tcp (1:0.88-12) unstable; urgency=medium

  * Use debputy's X-Style: black.
  * Add the fakeroot-for-setgroups patch to fix the FTBFS related to
    setgroups(2) in user namespaces. Closes: #1092535
  * autopkgtest: drop the obsolete config/ruff.all.toml file.
  * autopkgtest: use Ruff 0.8.6 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 09 Jan 2025 12:22:05 +0200

ucspi-tcp (1:0.88-11) unstable; urgency=medium

  * Add a missed instance to the 0010-gid-t patch. Closes: #1077203
  * Add my e-mail address to the Author field of the new patches.
  * Fix connecting to more than one host over IPv6. Closes: #1077315

 -- Peter Pentchev <roam@debian.org>  Sun, 28 Jul 2024 13:20:51 +0300

ucspi-tcp (1:0.88-10) unstable; urgency=medium

  * Add the 0007-ssize-t, 0008-int-main, 0009-malloc, and 0010-gid-t
    patches to fix the build with GCC 14. Closes: #1075596
  * autopkgtest:
    - switch from argparse to click for command-line parsing, if only to
      support correctly option values starting with dashes
  * autopkgtest internal test suite:
    - use Ruff 0.5.5 for linting, disable a docstrings exception list check
    - shuffle the Ruff config files around a bit

 -- Peter Pentchev <roam@debian.org>  Fri, 26 Jul 2024 14:54:02 +0300

ucspi-tcp (1:0.88-9) unstable; urgency=medium

  * Import the 0006-implicit-declarations Ubuntu patch to fix
    the FTBFS in Debian unstable due to the new compiler warning
    options turned into errors by default. Closes: #1066629
  * Declare compliance with Policy 4.7.0 with no changes.
  * Bump the debhelper compat level to 14 and let it add some
    default dependencies automatically.
  * autopkgtest: code style: use Ruff 0.5.0 with practically no changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Jun 2024 13:59:27 +0300

ucspi-tcp (1:0.88-8) unstable; urgency=medium

  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * autopkgtest:
    - fix a server/client mismatch in a log message
    - only pass "-R" if supported, do not pass "--"
    - support verbose logs to the standard output stream
    - run {proto}server with line-buffered stdout and stderr
    - dynamic version, bump it to 0.2.0
    - read all the data from the socket
  * autopkgtest internal test suite:
    - tox.ini: add tags for running tox-stages
    - do not pass the python_version option to mypy, let it check against
      the Python interpreter that it is being run with
    - use hatchling for the PEP517 build
    - convert tox.ini to the Tox 4.x format
    - use Ruff instead of black, flake8, and pylint
    - reformat and refactor the source code according to Ruff's suggestions

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 11:57:42 +0200

ucspi-tcp (1:0.88-7) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add Gitlab CI config file
  * Do not run tests under Gitlab CI

  [ Peter Pentchev ]
  * New maintainer. Closes: #983804
  * Declare compliance with Policy 4.6.2 with no changes.
  * Set the debhelper compat level to 13 with no changes.
  * Add an EditorConfig definitions file.
  * Run a custom test suite at build-time and as an autopkgtest.
  * Clean up after a build.
  * Show the compiler and linker invocations unless "terse" is requested.
  * Do not use "tee" to generate the config files.
  * Add Rules-Requires-Root: no to the source control stanza.
  * Remove leading slashes from debian/*.install.
  * No longer mention ucspi-tcp-doc, no such package for a long time.

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 04:05:08 +0200

ucspi-tcp (1:0.88-6) unstable; urgency=medium

  * Remove references to patched-out `rbl.maps.vix.com' host from manpage
    (Closes: #681739)
  * Install example http server, serving log file with chunked transfer
    encoding (Closes: #772209)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 17 Jan 2019 06:30:43 +0000

ucspi-tcp (1:0.88-5) unstable; urgency=medium

  * Do not include build path into resulting scripts (Closes: #915511)
    + Make upstream build system respect $(DESTDIR) variable

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 05 Dec 2018 15:47:18 +0000

ucspi-tcp (1:0.88-4) unstable; urgency=medium

  * New maintainer (Closes: #907094)
  * Convert patches to quilt
  * Convert `debian/rules' to debhelper
  * Respect compiler flags, provided by dpkg-buildflags(1)
  * Remove very old news from source package
  * Do not install useless files (README, TODO, VERSION)
  * Fix whitespace errors in `debian/control' and `debian/changelog'
  * Update standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in debian/control.
  * Make `debian/copyright' comply with dep-5.
  * Add `Homepage' field into `debian/control'
  * Write `debian/watch' file.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 01 Dec 2018 22:02:19 +0000

ucspi-tcp (1:0.88-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the calls to gzip reproducible. (Closes: #777020)
  * Sort the MD5SUMS file in a reproducible manner. Thanks to Valerie Young
    <spectranaut@riseup.net>. (Closes: #847036)

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Mar 2017 09:30:50 +0100

ucspi-tcp (1:0.88-3) unstable; urgency=low

  * ucspi-tcp-ipv6/diff/0001-rblsmtpd.c...diff, 0002-Makefile...diff,
    0003-Apply-fefe-s-ucspi-tcp-0.88-ipv6.diff19-ipv6-patch.diff: new:
    ucspi-tcp with IPv6 support added.
  * debian/control: new package ucspi-tcp-ipv6: ucspi-tcp with IPv6
    support added (thx fefe; closes: #534925).
  * debian/rules: build and install new package ucspi-tcp-ipv6.

 -- Gerrit Pape <pape@smarden.org>  Tue, 13 Oct 2009 22:57:51 +0000

ucspi-tcp (1:0.88-2) unstable; urgency=low

  * debian/rules: install: force remove also auto_home.c before re-doing
    upstream targets install, instcheck (closes: #476070).
  * debian/diff/0003-Makefile-target-choose-do-not-depend-on-conf-home.diff:
    new: Makefile: target choose: do not depend on conf-home.
  * debian/control: Vcs-Git: http://smarden.org/git/ucspi-tcp.git/;
    Standards-Version: 3.8.0.1.
  * debian/rules: minor.

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Jun 2008 21:31:34 +0000

ucspi-tcp (1:0.88-1) unstable; urgency=low

  * debian/changelog: add epoch 1 to supersede unofficial package.
  * debian/rules: remove target configure:; use glibc by default instead
    of dietlibc.
  * debian/control: no longer Build-Depends: dietlibc.
  * debian/gcc/: remove; obsolete.
  * debian/rules: install programs into /usr/bin/.
  * debian/rules: new target patch: apply diffs from debian/diff/, reverse
    apply in target clean:.
  * debian/diff/0001-error.h-include-errno.h-instead-of-extern-int.diff:
    new; error.h: '#include <errno.h>' instead of 'extern int errno;'.
  * debian/ucspi-tcp-man/: new; add manpages downloaded from
    http://smarden.org/pape/djb/manpages/ucspi-tcp-0.88-man-20020317.tar.gz.
  * debian/rules: install manpages from debian/ucspi-tcp-man/ into
    /usr/share/man/man1/.
  * debian/control: no longer Recommends: ucspi-tcp-doc; Replaces:
    ucspi-tcp-doc.
  * debian/implicit: add proper dependencies to support 'parallel build'
    through make -j (thx Daniel Schepler for the patch).
  * debian/rules: run dpkg-shlibdeps; remove debian/substvars in target
    clean:.
  * debian/control: Depends: ${shlibs:Depends}.
  * debian/control: Standards-Version: 3.7.2.2.
  * debian/copyright: rewrite copyright.
  * debian/ucspi-tcp.README.Debian: remove reference to unofficial packages.
  * debian/control: minor updates to descriptions.
  * debian/diff/0002-rblsmtpd.c-don-t-use-a-the-default-rbl.maps.vix.com.diff:
    new; rblsmtpd.c: don't use a the default rbl.maps.vix.com if run without
    -r switch.
  * first upload to Debian/main (closes: #459318).
  * debian/ucspi-tcp.NEWS.Debian: new; package introduced to Debian/main,
    mention how to put on hold if upgrade from non-free is not desired.

 -- Gerrit Pape <pape@smarden.org>  Wed, 09 Jan 2008 21:26:17 +0000

ucspi-tcp (0.88-zarge2) sarge; urgency=low

  * build against sarge's dietlibc-dev (0.28-3).

 -- Gerrit Pape <pape@smarden.org>  Thu, 26 May 2005 19:01:37 +0000

ucspi-tcp (0.88-zarge1) sarge; urgency=low

  * debian/rules: minor cleanup.
  * debian/implicit: update to revision 1.10.

 -- Gerrit Pape <pape@smarden.org>  Sun, 15 Aug 2004 18:18:36 +0000

ucspi-tcp (0.88-zarge0.3) sarge; urgency=low

  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/README.Debian, debian/docs: rename to debian/ucspi-tcp.*.
  * debian/dirs: remove; obsolete.
  * debian/copyright: minor.
  * debian/control: no longer Build-Depends: dephelper; remove
    Standards-Version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 22 Mar 2004 14:25:30 +0000

ucspi-tcp (0.88-zarge0.2) sarge; urgency=low

  * use diet libc.
  * debian/rules: set up diet program as c compiler wrapper; conditionally
    overwrite PATH to have diet program used as c compiler wrapper; minor
    cleanup.
  * debian/gcc/gcc*: new; diet program as c compiler wrapper.
  * debian/control: Build-Depends: dietlibc-dev; no longer Depends:
    ${shlibs:Depends}.

 -- Gerrit Pape <pape@smarden.org>  Wed, 12 Nov 2003 12:58:36 +0000

ucspi-tcp (0.88-woody0.1) woody; urgency=low

  * woody package; new Standards-Version: 3.5.2.
  * just _recommend_ ucspi-tcp-doc.

 -- Gerrit Pape <pape@smarden.org>  Mon, 15 Oct 2001 14:01:04 +0200

ucspi-tcp (0.88-1) stable; urgency=low

  * 1st debian version, no other changes.

 -- Gerrit Pape <pape@innominate.com>  Thu,  1 Feb 2001 10:03:07 +0100

ucspi-tcp (0.88-0.7) unstable; urgency=low

  * binaries are now installed in /usr/local/bin.

 -- Gerrit Pape <pape@innominate.com>  Mon, 18 Dec 2000 11:13:26 +0100

ucspi-tcp (0.88-0.6) unstable; urgency=low

  * home of binaries is /usr.

 -- Gerrit Pape <pape@innominate.de>  Tue, 22 Aug 2000 12:56:23 +0200

ucspi-tcp (0.88-0.5) unstable; urgency=low

  * removed all documentation -> will be in ucspi-tcp-doc.

 -- Gerrit Pape <pape@innominate.de>  Mon, 14 Aug 2000 15:48:46 +0200

ucspi-tcp (0.88-0.4) unstable; urgency=low

  * forgotten man-pages for rblsmtpd, addcr, delcr added.

 -- Gerrit Pape <pape@innominate.de>  Tue,  4 Jul 2000 18:58:12 +0200

ucspi-tcp (0.88-0.3) unstable; urgency=low

  * man-pages added.

 -- Gerrit Pape <pape@innominate.de>  Tue, 25 Apr 2000 09:23:02 +0200

ucspi-tcp (0.88-0.2) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.de>  Fri, 24 Mar 2000 13:05:58 +0100
